RDKit::FMCS::ExecStatistics Struct Reference

`#include <DebugTrace.h>`

## Public Member Functions

| ExecStatistics ()

## Public Attributes

unsigned | TotalSteps {0}
unsigned | MCSFoundStep {0}
unsigned long long | MCSFoundTime
unsigned | InitialSeed {0}
unsigned | MismatchedInitialSeed {0}
unsigned | Seed {0}
unsigned | RemainingSizeRejected {0}
unsigned | SeedCheck {0}
unsigned | SingleBondExcluded {0}
unsigned | MatchCall {0}
unsigned | MatchCallTrue {0}
unsigned | FastMatchCall {0}
unsigned | FastMatchCallTrue {0}
unsigned | SlowMatchCallTrue {0}
unsigned | ExactMatchCall {0}
unsigned | ExactMatchCallTrue {0}
unsigned | FindHashInCache {0}
unsigned | HashKeyFoundInCache {0}
unsigned | AtomCompareCalls {0}
unsigned | BondCompareCalls {0}
unsigned | AtomFunctorCalls {0}
unsigned | BondFunctorCalls {0}
unsigned | WrongCompositionRejected {0}
unsigned | WrongCompositionDetected {0}
unsigned | DupCacheFound {0}
unsigned | DupCacheFoundMatch {0}

## Detailed Description

Definition at line 114 of file DebugTrace.h.

## Constructor & Destructor Documentation

## ExecStatistics()

RDKit::FMCS::ExecStatistics::ExecStatistics | ( |  | ) |

inline

Definition at line 129 of file DebugTrace.h.

## Member Data Documentation

## AtomCompareCalls

unsigned RDKit::FMCS::ExecStatistics::AtomCompareCalls {0}

Definition at line 124 of file DebugTrace.h.

## AtomFunctorCalls

unsigned RDKit::FMCS::ExecStatistics::AtomFunctorCalls {0}

Definition at line 125 of file DebugTrace.h.

## BondCompareCalls

unsigned RDKit::FMCS::ExecStatistics::BondCompareCalls {0}

Definition at line 124 of file DebugTrace.h.

## BondFunctorCalls

unsigned RDKit::FMCS::ExecStatistics::BondFunctorCalls {0}

Definition at line 125 of file DebugTrace.h.

## DupCacheFound

unsigned RDKit::FMCS::ExecStatistics::DupCacheFound {0}

Definition at line 127 of file DebugTrace.h.

## DupCacheFoundMatch

unsigned RDKit::FMCS::ExecStatistics::DupCacheFoundMatch {0}

Definition at line 127 of file DebugTrace.h.

## ExactMatchCall

unsigned RDKit::FMCS::ExecStatistics::ExactMatchCall {0}

Definition at line 122 of file DebugTrace.h.

## ExactMatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::ExactMatchCallTrue {0}

Definition at line 122 of file DebugTrace.h.

## FastMatchCall

unsigned RDKit::FMCS::ExecStatistics::FastMatchCall {0}

Definition at line 121 of file DebugTrace.h.

## FastMatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::FastMatchCallTrue {0}

Definition at line 121 of file DebugTrace.h.

## FindHashInCache

unsigned RDKit::FMCS::ExecStatistics::FindHashInCache {0}

Definition at line 123 of file DebugTrace.h.

## HashKeyFoundInCache

unsigned RDKit::FMCS::ExecStatistics::HashKeyFoundInCache {0}

Definition at line 123 of file DebugTrace.h.

## InitialSeed

unsigned RDKit::FMCS::ExecStatistics::InitialSeed {0}

Definition at line 117 of file DebugTrace.h.

## MatchCall

unsigned RDKit::FMCS::ExecStatistics::MatchCall {0}

Definition at line 120 of file DebugTrace.h.

## MatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::MatchCallTrue {0}

Definition at line 120 of file DebugTrace.h.

## MCSFoundStep

unsigned RDKit::FMCS::ExecStatistics::MCSFoundStep {0}

Definition at line 115 of file DebugTrace.h.

## MCSFoundTime

unsigned long long RDKit::FMCS::ExecStatistics::MCSFoundTime

Definition at line 116 of file DebugTrace.h.

## MismatchedInitialSeed

unsigned RDKit::FMCS::ExecStatistics::MismatchedInitialSeed {0}

Definition at line 117 of file DebugTrace.h.

## RemainingSizeRejected

unsigned RDKit::FMCS::ExecStatistics::RemainingSizeRejected {0}

Definition at line 118 of file DebugTrace.h.

## Seed

unsigned RDKit::FMCS::ExecStatistics::Seed {0}

Definition at line 118 of file DebugTrace.h.

## SeedCheck

unsigned RDKit::FMCS::ExecStatistics::SeedCheck {0}

Definition at line 119 of file DebugTrace.h.

## SingleBondExcluded

unsigned RDKit::FMCS::ExecStatistics::SingleBondExcluded {0}

Definition at line 119 of file DebugTrace.h.

## SlowMatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::SlowMatchCallTrue {0}

Definition at line 121 of file DebugTrace.h.

## TotalSteps

unsigned RDKit::FMCS::ExecStatistics::TotalSteps {0}

Definition at line 115 of file DebugTrace.h.

## WrongCompositionDetected

unsigned RDKit::FMCS::ExecStatistics::WrongCompositionDetected {0}

Definition at line 126 of file DebugTrace.h.

## WrongCompositionRejected

unsigned RDKit::FMCS::ExecStatistics::WrongCompositionRejected {0}

Definition at line 126 of file DebugTrace.h.

The documentation for this struct was generated from the following file:

- DebugTrace.h